Skip to main content
`Ctrl`+`K`

# MatSubMatrixVirtualUpdate

Updates a `MATSUBMATRIX` virtual submatrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSubMatrixVirtualUpdate(Mat N, Mat A, IS isrow, IS iscol)

Collective

## Input Parameters

- N - submatrix to update

- A - full matrix in the submatrix

- isrow - rows in the update (same as the first time the submatrix was created)

- iscol - columns in the update (same as the first time the submatrix was created)

## Note

Most will use `MatCreateSubMatrix()` which provides a more efficient representation if it is available.

## See Also

Matrices, `Mat`, `MATSUBMATRIX`, `MatCreateSubMatrixVirtual()`

## Level

developer

## Location

src/mat/impls/submat/submat.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages